| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Sql
Sql.pgsql

# Method Sql.pgsql()->status_commit()

Method status_commit

  `string status_commit()`

Returns

  The current commitstatus of the connection. Returns either one of:

  `idle`
  `intransaction`
  `infailedtransaction`

Note

  This function is PostgreSQL-specific, and thus it is not available through the generic SQL-interface.